Skip to main content
POST
Create Preview

Authorizations

Authorization
string
header
required

A floo_ API key.

Headers

X-Floo-Org-Id
string<uuid>

Organization to act in; defaults to the one joined most recently.

Path Parameters

app_id
string<uuid>
required

Body

application/json

Create or redeploy a preview environment.

branch
string
required
Minimum string length: 1
commit_sha
string | null
ref
string | null
runtime
string | null
framework
string | null
data
PreviewDataRequest · object

Data hydration settings for an explicitly-created preview.

Response

Successful Response

Preview environment detail.

id
string<uuid>
required
app_id
string<uuid>
required
slug
string
required
source_branch
string | null
required
pr_number
integer | null
url
string | null
latest_deploy_id
string<uuid> | null
latest_deploy_status
string | null
latest_commit_sha
string | null
latest_cloud_run_service_names
string[]
ttl_hours
integer | null
expires_at
string<date-time> | null
resources
PreviewResourceResponse · object[]
database_branches
PreviewDatabaseBranchResponse · object[]
managed_resource_branches
PreviewManagedResourceBranchResponse · object[]